Bug 1288895 - capsule installation
capsule installation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation (Show other bugs)
6.1.4
Unspecified Unspecified
medium Severity high (vote)
: GA
: 6.2
Assigned To: Allison Heslin
Brandi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 18:57 EST by jnikolak
Modified: 2016-05-16 21:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-16 21:54:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jnikolak 2015-12-06 18:57:45 EST
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/Installation_Guide/sect-Red_Hat_Satellite-Installation_Guide-Red_Hat_Satellite_Capsule_Server_Prerequisites.html



Section Number and Name: 7.2.1

Describe the issue: 

This doesnt really specify that these commands need to be run from the capsule server, it assumed that customer should run it.

I think we can improve this with adding

[root@capsule] #  ping -c1 `hostname -f`


On this part, it asks customer to run commands to check for the following.

Full forward and reverse DNS resolution using a fully qualified domain name. Check that hostname and localhost resolve correctly, using the following commands:

 ping -c1 `hostname -f`
hostname: Unknown host

Can we have an example of a working hostname check
ping -c1 `hostname -f`
PING capsulejnikolaksat6rhel6.pek.redhat.com (10.66.222.36) 56(84) bytes of data.
64 bytes from capsulejnikolaksat6rhel6.pek.redhat.com (10.66.222.36): icmp_seq=1 ttl=64 time=0.015 ms


Why do we need reverse, what do we need forward?
Comment 1 Andrew Dahms 2016-05-03 00:54:38 EDT
Assigning to Ali for review.
Comment 2 Allison Heslin 2016-05-03 11:27:21 EDT
(In reply to jnikolak from comment #0)

Can you take a look at the rewritten Installation Guide content, section 2.8, here: https://access.redhat.com/documentation/en/red-hat-satellite/version-6.2-beta/installation-guide/ to ensure that it is sufficient?

I've added the following text to this as well to clarify where the user is running the commands:

Verifying the full forward and reverse DNS resolution using a fully-qualified domain name enables you to prevent issues while installing Satellite or Capsule Server. If you are installing Satellite Server, run this command on the Satellite Server. If you are installing Capsule Server, run this command on Capsule Server.


Can you clarify what you mean by your last question?
Comment 4 Andrew Dahms 2016-05-16 21:54:22 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.